# ✒️ Document generation microservices

## Features

- 📝 HTML pdf templates
- 📚 OpenAPI/Swagger documentation
- ⚡ High-performance with go and gotenberg

## 🚀 Quick Start

```bash
# Install dependencies
go mod download

# Generate the swagger docs
swag init

# Run the server
air
```

## 📖 API Documentation

Swagger UI is available at: `/swagger`

## 🛠️ Development

The project uses:

- 🏃‍♂️ go as the language and build tool
- 🌐 gofiber for the web framework
